<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    
    <div id="app">
        <p>hello {{ msg }}</p>
        <ul>
            <li v-for="p in products">
                {{ p.quantity }} {{ p.name }}
                <span v-if="p.quantity === 0"> - OUT OF STOCK</span>
                <button @click="p.quantity +=1">
                    +1
                </button>
            </li>
        </ul>
        <p>total: {{ total }}</p>
    </div>


    <script src="https://unpkg.com/vue@2.6.10/dist/vue.js"></script>
    <script>
    const app = new Vue({
        el:'#app',
        data: {
            msg : ' Vue.js',
            // products: [1,2,3,4]
            products: []
        },
        computed: {
            total() {
                return this.products.reduce((sum, product) => {
                    return sum + product.quantity;
                }, 0);
            }
        },
        created () {
            fetch('https://api.myjson.com/bins/74l63')
            .then(response => response.json())
            .then(json => this.products  = json.products)
        }
    });
    </script>
</body>
</html>